AsylumNotifierMenu = AsylumNotifierMenu or {}
AsylumNotifierMenu.name = "AsylumNotifierMenu"

function AsylumNotifierMenu.CreateSettingsWindow()
   local LAM2 = LibStub:GetLibrary("LibAddonMenu-2.0")

   local panelData = {
      type = "panel",
      name = "Asylum Sanctorium Status Panel",
      displayName = "Status Panel Settings",
      author = "@code65536 (settings menu by init3)",
   }
   LAM2:RegisterAddonPanel("AsylumNotifierMenu", panelData)

   local Settings = {
        [1] = {
           type = "header",
           name = "Asylum Status Panel Information",
           width = "full"
        },
        [2] = {
           type = "description",
           text = "Settings for Asylum Sanctorium Status Panel",
           width = "full"
        },
        [3] = {
           type = "checkbox",
           name = "Oppressive Bolts",
           tooltip = "Oppressive Bolts on-screen notification",
           getFunc = function() return AsylumNotifier.vars.notify.oppressive_bolts end,
           setFunc = function(value) AsylumNotifier.vars.notify.oppressive_bolts = value end,
           default = true,
           width = "full",
        },
        [4] = {
          type = "checkbox",
          name = "Teleport Strike",
          tooltip = "Teleport Strike on-screen notification",
          getFunc = function() return AsylumNotifier.vars.notify.teleport_strike end,
          setFunc = function(value) AsylumNotifier.vars.notify.teleport_strike = value end,
          default = true,
          width = "full",
        },
        [5] = {
          type = "checkbox",
          name = "Exhaustive Charges",
          tooltip = "Exhaustive Charges on-screen notification",
          getFunc = function() return AsylumNotifier.vars.notify.exhaustive_charges end,
          setFunc = function(value) AsylumNotifier.vars.notify.exhaustive_charges = value end,
          default = true,
          width = "full",
        },
        [6] = {
          type = "checkbox",
          name = "Add Spawn",
          tooltip = "Add Spawn on-screen notification",
          getFunc = function() return AsylumNotifier.vars.notify.add_spawn end,
          setFunc = function(value) AsylumNotifier.vars.notify.add_spawn = value end,
          default = false,
          width = "full",
        },
        [7] = {
           type = "slider",
           name = "Opacity",
           tooltip = "Configure the opacity of the mechanics sub-timers when they are dimmed",
           getFunc = function() return AsylumNotifier.vars.dimmed_opacity end,
           setFunc = function(value) AsylumNotifier.vars.dimmed_opacity = value end,
           min = 0,
           max = 1.0,
           step = 0.1,
           default = 0.7,
           width = "full",
        },
   }
   LAM2:RegisterOptionControls("AsylumNotifierMenu", Settings)
end

function AsylumNotifierMenu.OnAddOnLoaded(event, addonName)
     if AsylumNotifierMenu.name ~= addonName then return end
     AsylumNotifierMenu.CreateSettingsWindow()
end

EVENT_MANAGER:RegisterForEvent("AsylumNotifierMenu", EVENT_ADD_ON_LOADED, AsylumNotifierMenu.OnAddOnLoaded)
